<!--
  @description:招标-招标阶段-路由index
  @Modifier：haoFx
  @routerPath: /bidding/projectDrive/invitation
  @date：2019/11/14-10:34
  isCanOperate: true可以操作 false不可以查看只有查看权限
-->
<template>
  <div>
    <router-view :display="display" />
  </div>
</template>

<script>
/* api*/
import { queryTenderInvitationNumByTenderId } from '@/api/bidding/bidInvitation'// 查询邀请函是否提交
import { getSystemConfigValueByConfigType } from '@/api/common/systemConfigCenter'
export default {
  name: 'BulletinContent',
  data() {
    return {
      tenderBase: this.$store.getters.tenderBase, // 项目信息
      display: '01', // 是否展示新增按钮 01 不展示 00 展示
      tenderId: this.$route.query.id, // 项目Id
      isSimpleInvitation: '' // 系统配置邀请函公告是否简单版本 00否 01是
    }
  },
  watch: {
    $route() {
      this.getSystemConfigValueByConfigType() // 获取邀请函公告是否启用简易版
      this.initData()// 查询是否邀请函提交
    }
  },
  created() {
    this.getSystemConfigValueByConfigType() // 获取邀请函公告是否启用简易版
    this.initData()// 查询是否邀请函提交
  },
  methods: {
    // 获取邀请函公告显示版本控制 01启用简易版招标公告
    getSystemConfigValueByConfigType() {
      getSystemConfigValueByConfigType('tenderInvitation-isSimpleInvitation').then((res) => {
        this.isSimpleInvitation = res.data
      })
    },
    /* 查询是否邀请函提交*/
    initData() {
      const data = {
        invitationType: this.tenderBase.invitationType, // 邀请函类型 01:普通邀请函 02:资审后邀请函(数据源不同)
        tenderId: this.$route.query.id
      }
      queryTenderInvitationNumByTenderId(data).then(res => {
        const { display, auditStatus, isJumpList, invitationNum } = res.data
        this.display = display// 是否展示新增按钮 01 不展示 00 展示
        // 邀请函数量
        if (invitationNum > 0) { // 当邀请函数量大于0
          // 一个邀请函是否包含全部标段
          if (isJumpList === '01') { // 包含01
            // 审核状态
            if (auditStatus === '00' || auditStatus === '01') { // 00审核中,01通过
              this.pushRouter('02', res.data)
            } else if (auditStatus === '02') { // 02驳回
              this.pushRouter('00', res.data)
            } else { // 未新增过
              this.pushRouter('00', res.data)
            }
          } else { // 不包含
            //  进入列表页
            this.pushRouter('01', res.data)
          }
        } else {
          //  进入新增页
          this.pushRouter('00', res.data)
        }
      })
    },
    // type 00 驱动内新增页 01 驱动内列表页 02 驱动内直接展示详情页
    pushRouter(type, info) {
      // router携带参数
      const query = {
        ...this.$route.query,
        invitationId: info.invitationId// 邀请函Id
      }
      // type 00 新增页 && 登录角色可以操作本项目则跳转至新增
      if (type === '00' && this.tenderBase.isCanOperate) {
        if (this.isSimpleInvitation === '01') {
          //  新版招标邀请函新增页 isSimpleBulletin=01使用简易版招标公告 00使用老版
          this.$router.push({ path: '/bidding/projectDrive/invitation/newTenderInvitation-add', query: query })
        } else {
          //  招标邀请函新增页
          this.$router.push({ path: '/bidding/projectDrive/invitation/tabs/tenderInvitationInfo-add', query: query })
        }
      } else if (type === '01') {
        // 招标邀请函列表页
        this.$router.push({ path: '/bidding/projectDrive/invitation/invitationList', query: query })
      } else if (type === '02') {
        // 招标邀请函详情页 isSimpleBulletin=01使用简易版招标公告 00使用老版
        if (this.isSimpleInvitation === '01') {
          this.$router.push({ path: '/bidding/projectDrive/invitation/newTenderInvitation-detail', query: query })
        } else {
          this.$router.push({ path: '/bidding/projectDrive/invitation/tenderInvitationDetail', query: query })
        }
      }
    }
  }
}
</script>

<style scoped>
</style>
